Login | Register
My pages Projects Community openCollabNet

Discussions > dev > Current 1.4.4 on taroon

Project highlights: Stable Version: 1.6.1, Development Version: 1.7.6

current
Discussion topic

2020-03-13: This site is going to be decommissioned and shut down very soon. Please copy and archive any data you wish to keep ASAP

Back to topic list

Current 1.4.4 on taroon

Reply

Author Ricardo Gorosito <rgorosito at comarb dot gov dot ar>
Full name Ricardo Gorosito <rgorosito at comarb dot gov dot ar>
Date 2003-10-03 10:35:41 PDT
Message I'm trying to run current 1.4.4 on RHEL-2.9.5WS (taroon). RH73 clients
update without problems, but RH9 die with "xml.parsers.expat.ExpatError:
not well-formed (invalid token): line 1, column 0" (full output in the
end of message).

and in errors.log (apache) :

[Fri Oct 03 14:14:54 2003] [notice] Result = {'X-RHN-Auth':
'8a4379111eb823d64c3​48b09b6360c65ee26edc​5',! 'X-RHN-Auth-Channels':
[['redhat-9-i386', '20031003114637']],! 'X-RHN-Auth-Expiration':
'1065204894',! 'X-RHN-Auth-User-Id': 'pepe',! 'X-RHN-Server-Id':
'current.comarb'}

current.log with debug=9 :

Oct 03 14:25:33 Current v1.4.4 starting up
Oct 03 14:25:33 Requesting: up2date.login
Oct 03 14:25:33 with params = ['<?xml
version="1.0"?>\​n<params>\n​<param>\n<va​lue><struct​>\n<member>\​n<name>type​</name>\n<vaO​ct
03 14:25:33 module = up2date <snip>
Oct 03 14:25:33 function = login
Oct 03 14:25:33 (/usr/share/current/​current_apache.py, callAPIMethod(),
309): params = ['<?xml version="1.0"?>\​n<params>\n​<paOct 03 14:25:33
Dispatching: up2date.login <snip>
Oct 03 14:25:33 /usr/share/current/u​p2date.py:login({'sy​sid_string':
'<?xml version="1.0"?>\​n<params>\n​<param>\n<va​lue><strucOct 03 14:25:33
/usr/share/current/p​ackagedb.py:getCompa​tibleChannels({'clie​nt_release':
'9', 'client_arch': 'i686'}) <snip>
Oct 03 14:25:33 /usr/share/current/p​ackagedb.py:_getCann​onArch({'arch':
'i686'})
Oct 03 14:25:33 Result is normal data: turn it into an XML chunk
Oct 03 14:25:33 (/usr/share/current/​current_apache.py,
sendClientResult(), 263): Data sent.
Oct 03 14:25:33 sendClientResult() finished
Oct 03 14:25:38 Current v1.4.4 starting up
Oct 03 14:25:38 Header object successfully parsed: [['redhat-9-i386',
'20031003114637']]
Oct 03 14:25:38 /usr/share/current/a​uth.py:isValid({})

Will RHEL 3 be supported in current 1.4.x? (as server or client).

Ricardo.-




--
* Full up2date -u output:
                                                                                

Fetching package list for channel: redhat-9-i386...
####################​####################​
                                                                                

Fetching Obsoletes list for channel: redhat-9-i386...
####################​####################​
                                                                                

Fetching rpm headers...
####################​####################​
                                                                                

Testing package set / solving RPM inter-dependencies...
####################​####################​
openssl-0.9.7a-20.i686.rpm: ########################## Done.
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 993, in ?
    main()
  File "/usr/sbin/up2date", line 720, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 893, in batchRun
    batch.run()
  File "up2dateBatch.py", line 73, in run
  File "up2dateBatch.py", line 142, in __getPackages
  File "up2date.py", line 269, in getPackage
  File "rpcServer.py", line 114, in doCall
  File "rpmSource.py", line 212, in getPackage
  File "rpmSource.py", line 695, in getPackage
  File "/usr/lib/python2.2/​xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/​site-packages/rhn/rp​clib.py", line 126, in
_request
    verbose=self._verbose
  File "/usr/lib/python2.2/​site-packages/rhn/tr​ansports.py", line 153,
in request
    return self.parse_response(fd)
  File "/usr/lib/python2.2/​site-packages/rhn/tr​ansports.py", line 169,
in parse_response
    p.feed(response)
  File "/usr/lib/python2.2/​xmlrpclib.py", line 390, in feed
    self._parser.Parse(data, 0)
xml.parsers.expat.ExpatError: not well-formed (invalid token): line 1,
column 0



--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org

« Previous message in topic | 1 of 1 | Next message in topic »

Messages

Show all messages in topic

Current 1.4.4 on taroon Ricardo Gorosito <rgorosito at comarb dot gov dot ar> Ricardo Gorosito <rgorosito at comarb dot gov dot ar> 2003-10-03 10:35:41 PDT
Messages per page: